---
order: 50
---

# Column Type Classes

## Namespace `cheetahGrid.columns.type`

| Class Name                   | Function                         | Others                                       | Related Links                          |
| ---------------------------- | -------------------------------- | -------------------------------------------- | -------------------------------------- |
| `Column`                     | show text                        | same as not specify type                     | ---                                    |
| [`NumberColumn`]             | show number with comma-separated | same as `columnType: 'number'`               | [NumberColumn]                         |
| [`CheckColumn`]              | show checkbox                    | same as `columnType: 'check'`                | - [CheckColumn]<br>- [CheckEditor]     |
| [`MenuColumn`]               | show menu                        | ---                                          | - [MenuColumn]<br>- [InlineMenuEditor] |
| [`ButtonColumn`]             | show button                      | `columnType: 'button'` has same the function | - [ButtonColumn]<br>- [ButtonAction]   |
| [`ImageColumn`]              | show image                       | same as `columnType: 'image'`                | [ImageColumn]                          |
| [`PercentCompleteBarColumn`] | show percent complete bar        | ---                                          | [PercentCompleteBarColumn]             |
| [`IconColumn`]               | show icon only                   | ---                                          | [IconColumn]                           |
| [`MultilineTextColumn`]      | show multiline text              | same as `columnType: 'multilinetext'`        | [MultilineTextColumn]                  |
| [`BranchGraphColumn`]        | show branch graph                | ---                                          | [BranchGraphColumn]                    |
| [`RadioColumn`]              | show radio button                | same as `columnType: 'radio'`                | - [RadioColumn]<br>- [RadioEditor]     |

[`NumberColumn`]: ./NumberColumn.md
[`CheckColumn`]: ./CheckColumn.md
[`MenuColumn`]: ./MenuColumn.md
[`ButtonColumn`]: ./ButtonColumn.md
[`ImageColumn`]: ./ImageColumn.md
[`PercentCompleteBarColumn`]: ./PercentCompleteBarColumn.md
[`IconColumn`]: ./IconColumn.md
[`MultilineTextColumn`]: ./MultilineTextColumn.md
[`BranchGraphColumn`]: ./BranchGraphColumn.md
[`RadioColumn`]: ./RadioColumn.md

[NumberColumn]: ./NumberColumn.md
[CheckColumn]: ./CheckColumn.md
[CheckEditor]: ../column_actions/CheckEditor.md
[MenuColumn]: ./MenuColumn.md
[InlineMenuEditor]: ../column_actions/InlineMenuEditor.md
[ButtonColumn]: ./ButtonColumn.md
[ButtonAction]: ../column_actions/ButtonAction.md
[ImageColumn]: ./ImageColumn.md
[PercentCompleteBarColumn]: ./PercentCompleteBarColumn.md
[IconColumn]: ./IconColumn.md
[MultilineTextColumn]: ./MultilineTextColumn.md
[BranchGraphColumn]: ./BranchGraphColumn.md
[RadioColumn]: ./RadioColumn.md
[RadioEditor]: ../column_actions/RadioEditor.md
